查询报告详情 - Walmart Payment
POST
/cepf/fms/openapi/walmartPayment/queryPage接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/cepf/fms/openapi/walmartPayment/queryPage | HTTPS | POST | 10 |
请求参数
offsetintegerlengthintegerstore_idarray<any>必填report_idstringtransaction_posted_timestamp_startstringtransaction_posted_timestamp_endstring请求示例
{
"length": 15,
"offset": 0,
"report_id": "MI7cc13c6a4f7d8769629e807e8263fc87",
"store_id": [
110000000018008000,
110000000018008001
],
"transaction_posted_timestamp_start": "2023-05-01",
"transaction_posted_timestamp_end": "2023-05-20"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
totalinteger必填recordsarray<object>必填隐藏子属性
amountstring必填amount_typestring必填commission_ratestring必填commission_rate_strstring必填commission_rulestring必填currencystring必填customer_orderstring必填fulfillment_typestring必填mskustring必填partner_gtinstring必填partner_item_namestring必填period_end_datestring必填period_start_datestring必填product_taxCodestring必填product_typestring必填purchase_orderstring必填ship_qtyinteger必填ship_to_citystring必填ship_to_statestring必填ship_to_zipcodestring必填shipping_methodstring必填store_idstring必填store_namestring必填transaction_descriptionstring必填transaction_keystring必填transaction_posted_timestampstring必填transaction_reason_descriptionstring必填transaction_typestring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "45fd55efd92b4aad8c97f5c0371ec063.1684735677529",
"response_time": "2023-05-22 14:07:58",
"data": {
"total": "7",
"records": [
{
"period_end_date": null,
"period_start_date": null,
"transaction_key": "2023_05_01_001",
"currency": "USD",
"transaction_posted_timestamp": "2023-05-15",
"transaction_description": "Purchase",
"transaction_type": "Sale",
"customer_order": "2023_05_01_oPX5au",
"purchase_order": "walmart-test051702-XmIVJU",
"amount_type": "Product Price",
"amount": 20,
"ship_qty": "11",
"transaction_reason_description": "No Longer Wanted",
"commission_rate": 2,
"commission_rate_str": "2.00%",
"msku": "walm_wjc2_sku7xP4a",
"partner_item_name": "Casabrews Espresso Machine",
"partner_gtin": "850030773067",
"product_taxCode": "2042275",
"ship_to_city": "Miami Lakes",
"ship_to_state": "FL",
"ship_to_zipcode": "33016",
"product_type": "Espresso Machines",
"commission_rule": "BSE-65-3.0",
"shipping_method": "Marketplace expedited",
"fulfillment_type": "Walmart-fulfilled(WFS)",
"store_id": "110000000018008002",
"store_name": "walmart测试店铺"
}
]
}
}
返回失败示例
{
"code": 1,
"message": "参数检验不通过",
"error_details": ["length: length 最小值为15"],
"request_id": "f4044649b1be46398c7eb4e6eb6ab6d5.1684735739946",
"response_time": "2023-05-22 14:08:59",
"data": null
}